gnutls_audit_current_context(3)

NAME
gnutls_audit_current_context - API function

SYNOPSIS
#include <gnutls/gnutls.h>

long gnutls_audit_current_context( void);

ARGUMENTS

void

DESCRIPTION

Return the current crypto-auditing context from the thread-local context stack. This is useful for the applications that define their own probe points for application level protocols.

RETURNS
an opaque context

SINCE
3.8.11

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2023 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/